* {
  margin: 0;
  padding: 0;
  border: none;
  outline: none;
  box-sizing: border-box;
}

body {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100svw;
  height: 100svh;
  touch-action: manipulation;

  position: relative;

  /* height: 100vh;
  width: 100vw; */
}

#game-canvas {
  position: relative;
  width: 100%;
  height: 100%;
}

.debug-button {
  font-size: 1.7rem;
  padding: 0.2em;
  background-color: grey;
  border-radius: 0.2em;
  color: whitesmoke;
  cursor: pointer;

  position: fixed;
  bottom: 3px;
  right: 3px;

  z-index: 999;

  /* display: none; */
}

.debug-menu {
  position: fixed;
  width: fit-content;
  top: 0;
  right: 0;
  background-color: grey;
  border-radius: 1.2em;
  overflow: auto;

  padding: 0.8em 0.5em;

  color: whitesmoke;

  display: none;
  flex-direction: column;
  gap: 0.3em;
  z-index: 99;
}

.debug-title {
  text-align: center;
  text-transform: uppercase;
  font-size: 1.2em;
  color: rgb(124, 253, 95);
}

.debug-item.clickable {
  cursor: pointer;
  color: skyblue;
}

.debug-item .input-field {
  outline: none;
  display: inline-block;
  background-color: limegreen;
  border-radius: 0.2em;
  padding: 0.2em;
  width: fit-content;
  color: black;
  margin-left: 0.2em;
  font-size: 1em;
}
